<?php require_once('Connections/cn.php'); ?>
<?php session_start();
  
  $id_usuario=@$_POST["id_usuario"];
  $userType=@$_POST["userType"];
  // Tipo de usuario es alumno.
	if ($userType=="alumno") 
	{
	    mysql_select_db($database_cn, $cn);
		mysql_query ("SET NAMES 'utf8'");
 	    $sql = "select * from alumnos where cedula='$id_usuario'";
 	    $rs=mysql_query($sql, $cn);
		$reg=mysql_num_rows($rs);
		$row = mysql_fetch_assoc($rs);
		$ultimos_digitos=substr($id_usuario,-2);
		$apellidos=ereg_replace("[']", "", $row["apellidos"]);
		$apellidos=eregi_replace("[[:digit:]/.]", "", $apellidos);
		$apellidos=explode(" ",$apellidos);

		$username=strtolower(substr($row["nombres"],0,1).normaliza($apellidos[0]).$ultimos_digitos);
	    if ($reg == 0) 
		{  
	         ?>
	         <script type="text/javascript">
	            msj="Registro DENEGADO. Usted no es Estudiante de la ENAHP "
	 	        alert(msj);
				url="registro.php?userType="+'<?php echo $userType; ?>';
				window.open(url,'contenido');
		        //window.parent.addUsuario.id_usuario.focus();
		        //window.parent.addUsuario.id_usuario.value="";
	         </script>
	         <?php
			 return;
		 }  
		 else {
		       $tipo_usuario='2';
		       mysql_select_db($database_cn, $cn);
 	           $sql1 = "select * from usuarios where cedula='$id_usuario' and tipo_usuario='$tipo_usuario'";
 	           $rs1=mysql_query($sql1, $cn);
	           $reg1=mysql_num_rows($rs1);
	           if ($reg1 > 0) 
			      {
				    ?>
	                   <script type="text/javascript">
	                   msj="Usted ya está registrado como Estudiante en el SIGA"
	 	               alert(msj);
					   url="registro.php?userType="+'<?php echo $userType; ?>';
					   window.open(url,'contenido');
		               //window.parent.addUsuario.id_usuario.focus();
		               //window.parent.addUsuario.id_usuario.value="";
	                   </script>
	                <?php
					return;
				   }
				   else {
				   }
				 }  	  
    }
	// Tipo de usuario es docente.
	if ($userType=="docente")  {
	     mysql_select_db($database_cn, $cn);
		 
 	     $sql = "select * from docentes where cedula='$id_usuario'";
 	     $rs=mysql_query($sql, $cn);
	     $reg=mysql_num_rows($rs);
		 $row = mysql_fetch_assoc($rs);
		 $ultimos_digitos=substr($id_usuario,-2);
		 $apellidos=ereg_replace("[']", "", $row["apellidos"]);
		$apellidos=eregi_replace("[[:digit:]/.]", "", $apellidos);
		 $username=strtolower(substr($row["nombres"],0,1).normaliza($apellidos[0]).$ultimos_digitos);
		
	     if ($reg == 0) 
		 {  
	         ?>
	         <script type="text/javascript">
	            msj="Registro DENEGADO. Usted no es Docente de la ENAHP "
	 	        alert(msj);
				url="registro.php?userType="+'<?php echo $userType; ?>';
				window.open(url,'contenido');
		        //window.parent.addUsuario.id_usuario.focus();
		        //window.parent.addUsuario.id_usuario.value="";
	         </script>
		 <?php
		 return;
		 }
		 else {
		       $tipo_usuario='3';
		       mysql_select_db($database_cn, $cn);
 	           $sql1 = "select * from usuarios where cedula='$id_usuario' and tipo_usuario='$tipo_usuario'";
 	           $rs1=mysql_query($sql1, $cn);
	           $reg1=mysql_num_rows($rs1);
	           if ($reg1 > 0) 
			      {
				    ?>
	                   <script type="text/javascript">
	                   msj="Usted ya está registrado como Docente en el SIGA"
	 	               alert(msj);
					   url="registro.php?userType="+'<?php echo $userType; ?>';
				       window.open(url,'contenido');
		               //window.parent.addUsuario.id_usuario.focus();
		               //window.parent.addUsuario.id_usuario.value="";
	                   </script>
	                <?php
					return;
				   }
				 }  	  	 
	}	
	
	// Tipo de usuario es admininistrativo.
	if ($userType=="admin")  {
	     mysql_select_db($database_cn, $cn);
 	     $sql = "select * from usuarios_admin where cedula='$id_usuario'";
 	     $rs=mysql_query($sql, $cn);
	     $reg=mysql_num_rows($rs);
		 $row = mysql_fetch_assoc($rs);
		 $ultimos_digitos=substr($id_usuario,-2);
		 $apellidos=ereg_replace("[']", "", $row["apellidos"]);
		$apellidos=eregi_replace("[[:digit:]/.]", "", $apellidos);
		 $username=strtolower(substr($row["nombres"],0,1).normaliza($apellidos[0]).$ultimos_digitos);
	     if ($reg == 0) 
		 {  
	         ?>
	         <script type="text/javascript">
	            msj="Registro DENEGADO. Usted no es empleado de la ENAHP"
	 	        alert(msj);
				url="registro.php?userType="+'<?php echo $userType; ?>';
				window.open(url,'contenido');
		        //window.parent.addUsuario.id_usuario.focus();
		        //window.parent.addUsuario.id_usuario.value="";
	         </script>
		 <?php
		 return;
		 }
		 else {
		       $tipo_usuario='3';
		       mysql_select_db($database_cn, $cn);
 	           $sql1 = "select * from usuarios where cedula='$id_usuario' and tipo_usuario>'$tipo_usuario'";
 	           $rs1=mysql_query($sql1, $cn);
	           $reg1=mysql_num_rows($rs1);
	           if ($reg1 > 0) 
			      {
				    ?>
	                   <script type="text/javascript">
	                   msj="Usted ya está registrado como Administrativo en el SIGA"
	 	               alert(msj);
						url="registro.php?userType="+'<?php echo $userType; ?>';
						window.open(url,'contenido');
		               //window.parent.addUsuario.id_usuario.focus();
		               //window.parent.addUsuario.id_usuario.value="";
	                   </script>
	                <?php
					return;
				   }
				 }  	  	 
	}
  
  //****************************************
  
  mysql_select_db($database_cn, $cn);
   mysql_query ("SET NAMES 'utf8'");
//Busca datos del usuario tipo alumno.
if ($userType=='alumno') {
	$sql = "SELECT id_alumno, cedula, apellidos, nombres FROM alumnos where cedula='$id_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$cedula=$row['cedula'];
	$id_alumno= $row['id_alumno'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
}
//Busca datos del usuario tipo docente.
if ($userType=='docente') {
	$sql = "SELECT id_docente, cedula, apellidos, nombres FROM docentes where cedula='$id_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$cedula=$row['cedula'];
	$id_alumno= $row['id_docente'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
}	
//Busca datos del usuario tipo administrativo.
if ($userType=='admin') {
	$sql = "SELECT cedula, apellidos, nombres,sede FROM usuarios_admin where cedula='$id_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$cedula=$row['cedula'];
	//$id_alumno= $row['id_docente'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	$sede= $row['sede'];
}	
	
?>

<html>
<head>
<title>sadce -- usuarios</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  $ced = @$_POST["xcedula"];
  $nom = @$_POST["xnombres"];
  $apel = @$_POST["xapellidos"];
  $tipo = @$_POST["xtipo_usuario"];

  switch ($sql) {
    case "insert":
	  sql_insert($ced, $nom, $apel, $tipo);
      break;
  }
  if ($a=="registrar") {
      ?>
	  <table class="bd" width="100%"><tr><td class="hr"><h2>Registro de Usuarios</h2></td></tr></table>
      <?php 
     addrec($cedula, $nombres, $apellidos, $userType);
  }	 
  mysql_close($conn);
?>
<?php if ($a=="registrar") {
      ?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
<?php
}
?>
</body>
</html>

<?php function showroweditor($row, $iseditmode, $nombres, $apellidos, $userType)
  {
  global $conn;
  global $username;
?>
<table align="center" class="tbl" border="0" cellspacing="1" cellpadding="5" width="50%">
<table width="50%" border="0" align="center" cellpadding="1" cellspacing="0" class="tbl" id="tablalogin">
<tr>
<td colspan="2" class="hr"><?php echo htmlspecialchars("Su nombre de usuario para entrar al SIGA será:")."&nbsp;" ?></td>
</tr>

<tr>
<td align="center" class="dr"><input name="username"  type="text" onBlur="verificar_username(this.value)" readonly="true" value="<?php echo $username ?>" size="20" maxlength="7"> 
<iframe name="frameUsername" id="frameUsername" with="0" height="0" frameborder="0"></iframe></td>
</tr>

<tr>
<td colspan="2" class="hr"><?php echo htmlspecialchars("Escriba su contraseña")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr"><input name="password" type="password" onBlur="verificar_password(this.value)" value="<?php echo str_replace('"', '&quot;', trim($row["password"])) ?>" size="10" maxlength="10"> 
<iframe name="framePassword" id="framePassword" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td colspan="2" class="hr"><?php echo htmlspecialchars("Confirme su contraseña")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr"><input name="password1" type="password" onBlur="verificar_password_eq(document.addUsuario.password.value, this.value)" value="<?php echo str_replace('"', '&quot;', trim($row["password"])) ?>" size="10" maxlength="10"> 
<iframe name="framePasswordEQ" id="framePasswordEQ" with="0" height="0" frameborder="0"></iframe></td>
</tr>

<tr>
<td colspan="2" class="hr"><?php echo htmlspecialchars("Escriba una pregunta que sólo usted conozca la respuesta")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr"><textarea cols="35" rows="2" name="pregunta" maxlength="80"><?php echo str_replace('"', '&quot;', trim($row["pregunta"])) ?></textarea></td>
</tr>
<tr>
<td colspan="2" class="hr"><?php echo htmlspecialchars("Escriba la respuesta a su pregunta")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr"><input name="respuesta" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["respuesta"])) ?>" size="31" maxlength="30"></td>
</tr>
</table>
<?php } ?>


<?php function addrec($cedula, $nombres, $apellidos, $userType)
{

?>
<table class="tbl" border="0" cellspacing="1" cellpadding="2">
<tr>
<td>¡Bienvenid@!</td>
</tr>
<tr>
<td colspan="2"><?php echo $nombres." ".$apellidos; ?></td>
</tr>
<tr>
<td colspan="2" class="dr">Para continuar con su registro complete el siguiente formulario</td>
</tr>
</table>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
<form name="addUsuario"  enctype="multipart/form-data" action="usuarios.php?a=nothing" method="post" onSubmit="return validar_datos_usuario()">
<p><input type="hidden" name="sql" value="insert"></p>
<p><input type="hidden" name="xnombres" value="<?php echo $nombres; ?>"></p>
<p><input type="hidden" name="xapellidos" value="<?php echo $apellidos; ?>"></p>
<p><input type="hidden" name="xcedula" value="<?php echo $cedula; ?>"></p>
<p><input type="hidden" name="xtipo_usuario" value="<?php echo $userType; ?>"></p>
<?php
$row = array(
  "tipo_usuario" => "",
  "cedula" => "",
  "username" => "",
  "password" => "",
  "password1" => "",
  "apellidos" => "",
  "nombres" => "",
  "vencimiento_password" => "",
  "ultimo_acceso_in" => "",
  "ultimo_acceso_out" => "",
  "pregunta" => "",
  "respuesta" => "");
showroweditor($row, false, $nombres, $apellidos, $userType);
?>
<table align="center" class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<td colspan="2" class="dr" align="center"><p><input align="middle" type="submit" name="action" value="Registrarse"></p></td>
</table>
</form>
<?php } ?>

<?php function connect()
{
  
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  $sql = "SELECT `tipo_usuario`, `cedula`, `username`, `password`, `apellidos`, `nombres`, `vencimiento_password`, `ultimo_acceso_in`, `ultimo_acceso_out`, `pregunta`, `respuesta` FROM `usuarios`";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  $sql = "SELECT COUNT(*) FROM `usuarios`";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert($ced, $nom, $apel, $tipo)
{
  global $conn;
  global $_POST;
 
  if ($tipo=="alumno") {
     $tipo_usuario="2";
  }
  if ($tipo=="docente") {
     $tipo_usuario="3";
  }
  if ($tipo=="admin") {
     	$sql = "SELECT * FROM usuarios_admin where cedula='$ced'";
		$rs = mysql_query($sql, $conn) or die(mysql_error());
		$row = mysql_fetch_assoc($rs);
		$tipo_usuario=$row['tipo_usuario'];
		$sede=$row['sede'];
  }	 
  
  $password=md5(@$_POST["password"]);
  $sql = "insert into `usuarios` (`tipo_usuario`, `cedula`, `username`, `password`, `apellidos`, `nombres`, 
  `pregunta`, `respuesta`,`sede`) values ('$tipo_usuario', '$ced', " .sqlvalue(@$_POST["username"], true).", '$password', '$apel', '$nom', " .sqlvalue(@$_POST["pregunta"], true).", " .sqlvalue(@$_POST["respuesta"], true).",'$sede')";
  mysql_query($sql, $conn) or die(mysql_error());
  ?>
  <script type="text/javascript" language="javascript">
   alert("Usted ha sido registrado exitosamente");
   </script>
   <?php
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`tipo_usuario`";
  if (@$_POST["xtipo_usuario"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xtipo_usuario"], false);
  };
  $pk .= ") and ";
  $pk .= "(`cedula`";
  if (@$_POST["xcedula"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcedula"], true);
  };
  $pk .= ")";
  return $pk;
}

function normaliza($cadena){
    $originales = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ';
    $modificadas ='aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
    $cadena = utf8_decode($cadena);
    $cadena = strtr($cadena, utf8_decode($originales), $modificadas);
    $cadena = strtolower($cadena);
    return utf8_encode($cadena);
}

 ?>


<script type="text/javascript">
	
	function validar_datos_usuario()
	{
	 	if(document.addUsuario.username.value==""){
			alert("El campo <<Nombre de Usuario>> es obligatorio");
			document.addUsuario.username.focus();
			return false;
			}	
		if(document.addUsuario.password.value==""){
			alert("El campo <<Contraseña>> es obligatorio");
			document.addUsuario.password.focus();
			return false;
			}	
		if(document.addUsuario.password1.value==""){
			alert("Es obligatorio reescribir su <<Contraseña>>");
			document.addUsuario.password1.focus();
			return false;
			}		
		if(document.addUsuario.pregunta.value==""){
			alert("El campo <<Pregunta>> es obligatorio");
			document.addUsuario.pregunta.focus();
			return false;
			}		
		if(document.addUsuario.respuesta.value==""){
			alert("El campo <<Respuesta>> es obligatorio");
			document.addUsuario.respuesta.focus();
			return false;
			}	
		if(document.addUsuario.password.value.length<4){
			alert("El campo <<Contraseña>>debe tener\nun mínimo de cuatro (4) caracteres");
			document.addUsuario.password.focus();
			return false;
			}					
			return true;
	}
	

function verificar_password(psw)
{
 	if (psw!="")
	 {
	 url="validar_password.php?psw="+psw;
	 framePassword.location=url;
	 }
}

function verificar_username(user)
{
 	if (user!="")
	 {
	 url="validar_username.php?user="+user;
	 frameUsername.location=url;
	 }
}

function verificar_password_eq(psw, psw1)
{
 	if (psw1!="")
	 {
	 url="validar_password_eq.php?psw="+psw+"&psw1="+psw1;
	 framePasswordEQ.location=url;
	 }
}
</script>
